Bullet Collision Detection & Physics Library: btTaskSchedulerSequential Class Reference

Bullet Collision Detection & Physics Library

Public Member Functions | List of all members
btTaskSchedulerSequential Class Reference

btTaskSchedulerSequential – non-threaded implementation of task scheduler (really just useful for testing performance of single threaded vs multi) More...

Inheritance diagram for btTaskSchedulerSequential:
[legend]
Collaboration diagram for btTaskSchedulerSequential:
[legend]

## Public Member Functions
| btTaskSchedulerSequential ()
virtual int | getMaxNumThreads () const BT_OVERRIDE
virtual int | getNumThreads () const BT_OVERRIDE
virtual void | setNumThreads (int numThreads) BT_OVERRIDE
virtual void | parallelFor (int iBegin, int iEnd, int grainSize, const btIParallelForBody &body) BT_OVERRIDE
Public Member Functions inherited from btITaskScheduler
| btITaskScheduler (const char *name)
virtual | ~btITaskScheduler ()
const char * | getName () const
virtual void | activate ()
virtual void | deactivate ()

## Additional Inherited Members
Protected Attributes inherited from btITaskScheduler
const char * | m_name
unsigned int | m_savedThreadCounter
bool | m_isActive

## Detailed Description

btTaskSchedulerSequential – non-threaded implementation of task scheduler (really just useful for testing performance of single threaded vs multi)

Definition at line 461 of file btThreads.cpp.

## Constructor & Destructor Documentation

## ◆ btTaskSchedulerSequential()

btTaskSchedulerSequential::btTaskSchedulerSequential | ( |  | ) |
| inline

Definition at line 464 of file btThreads.cpp.

## Member Function Documentation

## ◆ getMaxNumThreads()

virtual int btTaskSchedulerSequential::getMaxNumThreads | ( |  | ) | const
| inlinevirtual

Implements btITaskScheduler.

Definition at line 465 of file btThreads.cpp.

## ◆ getNumThreads()

virtual int btTaskSchedulerSequential::getNumThreads | ( |  | ) | const
| inlinevirtual

Implements btITaskScheduler.

Definition at line 466 of file btThreads.cpp.

## ◆ parallelFor()

virtual void btTaskSchedulerSequential::parallelFor | ( | int | iBegin,
|  | int | iEnd,
|  | int | grainSize,
|  | const btIParallelForBody & | body
| ) |  |
| inlinevirtual

Implements btITaskScheduler.

Definition at line 468 of file btThreads.cpp.

## ◆ setNumThreads()

virtual void btTaskSchedulerSequential::setNumThreads | ( | int | numThreads | ) |
| inlinevirtual

Implements btITaskScheduler.

Definition at line 467 of file btThreads.cpp.

The documentation for this class was generated from the following file:

- btThreads.cpp